// import { LocalStoreEnt, LocalStoreUsr } from '@/Interface'
export function trim(str: string) {
  return str.replace(/(^\s*)|(\s*$)/g, '')
}

export function formatFileSize(size: number) {
  const kb = size / 1024
  const mb = kb / 1024
  if (mb > 1) {
    return mb.toFixed(3) + 'MB'
  } else {
    return kb.toFixed(3) + 'KB'
  }
}

export function isIOSMobile() {
  const userAgent = window.navigator.userAgent || navigator.userAgent
  return /(iPhone|iPad)/i.test(userAgent)
}